ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yusaku Sako (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21955) Update React version to 15.6.2 to get MIT license
Date Fri, 20 Oct 2017 21:04:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21955?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Yusaku Sako updated AMBARI-21955:
---------------------------------
    Attachment: storm-monitoring-build-error-2.6.txt

> Update React version to 15.6.2 to get MIT license
> -------------------------------------------------
>
>                 Key: AMBARI-21955
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21955
>             Project: Ambari
>          Issue Type: Improvement
>    Affects Versions: 2.6.0
>            Reporter: Sanket Shah
>            Assignee: Sanket Shah
>             Fix For: 2.6.0
>
>         Attachments: AMBARI-21955.patch, storm-monitoring-build-error-2.6.txt
>
>
> The Apache Software Foundation Legal Affairs Committee [has announced | https://issues.apache.org/jira/browse/LEGAL-303?focusedCommentId=16088663&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-16088663]that
the so-called 'Facebook BSD+Patents License' is no longer allowed to be used as a direct dependency
in Apache projects.
> Since Storm View is using React.js which is under the same Facebook's license, needs
to get rid of and use Vue.js instead.
> cc: [~ggolani]
> Update: No need to port to Vue, instead update the version to get MIT license.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message